## python-qt4 4.6.2-maemo20091123.0

=== Makefile ===

all:
	@(cd qpy; $(MAKE))
	@(cd QtCore; $(MAKE))
	@(cd QtGui; $(MAKE))
	@(cd QtHelp; $(MAKE))
	@(cd QtNetwork; $(MAKE))
	@(cd QtScript; $(MAKE))
	@(cd QtScriptTools; $(MAKE))
	@(cd QtSql; $(MAKE))
	@(cd QtSvg; $(MAKE))
	@(cd QtTest; $(MAKE))
	@(cd QtWebKit; $(MAKE))
	@(cd QtXml; $(MAKE))
	@(cd phonon; $(MAKE))
	@(cd QtAssistant; $(MAKE))
	@(cd QtDesigner; $(MAKE))
	@(cd Qt; $(MAKE))
	@(cd dbus; $(MAKE))
	@(cd pyuic; $(MAKE))
	@(cd pylupdate; $(MAKE))
	@(cd pyrcc; $(MAKE))
	@(cd designer; $(MAKE))

install:
	@(cd qpy; $(MAKE) install)
	@(cd QtCore; $(MAKE) install)
	@(cd QtGui; $(MAKE) install)
	@(cd QtHelp; $(MAKE) install)
	@(cd QtNetwork; $(MAKE) install)
	@(cd QtScript; $(MAKE) install)
	@(cd QtScriptTools; $(MAKE) install)
	@(cd QtSql; $(MAKE) install)
	@(cd QtSvg; $(MAKE) install)
	@(cd QtTest; $(MAKE) install)
	@(cd QtWebKit; $(MAKE) install)
	@(cd QtXml; $(MAKE) install)
	@(cd phonon; $(MAKE) install)
	@(cd QtAssistant; $(MAKE) install)
	@(cd QtDesigner; $(MAKE) install)
	@(cd Qt; $(MAKE) install)
	@(cd dbus; $(MAKE) install)
	@(cd pyuic; $(MAKE) install)
	@(cd pylupdate; $(MAKE) install)
	@(cd pyrcc; $(MAKE) install)
	@(cd designer; $(MAKE) install)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f /home/maemo/python-qt4-4.6.2/__init__.py $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/__init__.py
	cp -f pyqtconfig.py $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/pyqtconfig.py

clean:
	@(cd qpy; $(MAKE) clean)
	@(cd QtCore; $(MAKE) clean)
	@(cd QtGui; $(MAKE) clean)
	@(cd QtHelp; $(MAKE) clean)
	@(cd QtNetwork; $(MAKE) clean)
	@(cd QtScript; $(MAKE) clean)
	@(cd QtScriptTools; $(MAKE) clean)
	@(cd QtSql; $(MAKE) clean)
	@(cd QtSvg; $(MAKE) clean)
	@(cd QtTest; $(MAKE) clean)
	@(cd QtWebKit; $(MAKE) clean)
	@(cd QtXml; $(MAKE) clean)
	@(cd phonon; $(MAKE) clean)
	@(cd QtAssistant; $(MAKE) clean)
	@(cd QtDesigner; $(MAKE) clean)
	@(cd Qt; $(MAKE) clean)
	@(cd dbus; $(MAKE) clean)
	@(cd pyuic; $(MAKE) clean)
	@(cd pylupdate; $(MAKE) clean)
	@(cd pyrcc; $(MAKE) clean)
	@(cd designer; $(MAKE) clean)

=== QtAssistant/Makefile ===
TARGET = QtAssistant.so
OFILES = sipQtAssistantcmodule.o sipQtAssistantQAssistantClient.o
HFILES = sipAPIQtAssistant.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtAssistant -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtAssistant.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtAssistantClient -lQtGui -lQtNetwork -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtAssistant; local: *; };' > QtAssistant.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtAssistant/qassistantclient.sip $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant/qassistantclient.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtAssistant/QtAssistantmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant/QtAssistantmod.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtAssistantcmodule.o
	-rm -f sipQtAssistantQAssistantClient.o
	-rm -f QtAssistant.exp

=== QtCore/Makefile ===
TARGET = QtCore.so
OFILES = sipQtCorecmodule.o sipQtCoreQList0600QPair0100QByteArray0100QByteArray.o sipQtCoreQList0600QPair0100QString0100QString.o sipQtCoreQList0100QUrl.o sipQtCoreQMap18000100QVariant.o sipQtCoreQList0100QByteArray.o sipQtCoreQVector0100QXmlStreamNotationDeclaration.o sipQtCoreQVector0100QXmlStreamNamespaceDeclaration.o sipQtCoreQVector0100QXmlStreamEntityDeclaration.o sipQtCoreQMap0100QString0100QVariant.o sipQtCoreQList0100QVariant.o sipQtCoreQHash0100QString0100QVariant.o sipQtCoreQList0101QObject.o sipQtCoreQList0100QModelIndex.o sipQtCoreQList0100QFileInfo.o sipQtCoreQXmlStreamWriter.o sipQtCoreQXmlStreamReader.o sipQtCoreQXmlStreamEntityResolver.o sipQtCoreQXmlStreamEntityDeclaration.o sipQtCoreQXmlStreamNotationDeclaration.o sipQtCoreQXmlStreamNamespaceDeclaration.o sipQtCoreQXmlStreamAttributes.o sipQtCoreQXmlStreamAttribute.o sipQtCoreQWaitCondition.o sipQtCoreQVector2200.o sipQtCoreQVector1900.o sipQtCoreQVariant_5.o sipQtCoreQVariant_4.o sipQtCoreQUuid.o sipQtCoreQUrlFormattingOptions.o sipQtCoreQUrl.o sipQtCoreQTranslator.o sipQtCoreQTimer.o sipQtCoreQTimeLine.o sipQtCoreQThreadPool.o sipQtCoreQThread.o sipQtCoreQTextStreamManipulator.o sipQtCoreQTextStreamNumberFlags.o sipQtCoreQTextStream.o sipQtCoreQTextDecoder.o sipQtCoreQTextEncoder.o sipQtCoreQTextCodecConverterState.o sipQtCoreQTextCodecConversionFlags.o sipQtCoreQTextCodec.o sipQtCoreQTextBoundaryFinderBoundaryReasons.o sipQtCoreQTextBoundaryFinder.o sipQtCoreQTemporaryFile.o sipQtCoreQSystemSemaphore.o sipQtCoreQStringMatcher_0.o sipQtCoreQStringList_0.o sipQtCoreQStringList_1.o sipQtCoreQStringRef_0.o sipQtCoreQStringRef_1.o sipQtCoreQLatin1String_0.o sipQtCoreQStringSectionFlags_0.o sipQtCoreQString_0.o sipQtCoreQString_1.o sipQtCoreQSocketNotifier.o sipQtCoreQSizeF.o sipQtCoreQSize.o sipQtCoreQSignalMapper.o sipQtCoreQSharedMemory.o sipQtCoreQSettings.o sipQtCoreQSemaphore.o sipQtCoreQRunnable.o sipQtCoreQResource.o sipQtCoreQRegExp.o sipQtCoreQRectF.o sipQtCoreQRect.o sipQtCoreQWriteLocker.o sipQtCoreQReadLocker.o sipQtCoreQReadWriteLock.o sipQtCoreQProcess.o sipQtCoreQPointF.o sipQtCoreQPoint.o sipQtCoreQPluginLoader.o sipQtCoreQPair18001800.o sipQtCoreQGenericReturnArgument.o sipQtCoreQGenericArgument.o sipQtCoreQMetaObject.o sipQtCoreQObjectCleanupHandler.o sipQtCoreQWidget.o sipQtCoreQMutexLocker.o sipQtCoreQMutex.o sipQtCoreQMimeData.o sipQtCoreQMetaType.o sipQtCoreQMetaClassInfo.o sipQtCoreQMetaProperty.o sipQtCoreQMetaEnum.o sipQtCoreQMetaMethod.o sipQtCoreQList0100QLocaleCountry.o sipQtCoreQSystemLocale.o sipQtCoreQLocaleNumberOptions.o sipQtCoreQLocale.o sipQtCoreQList2200.o sipQtCoreQList1800.o sipQtCoreQList0600QPair22002200.o sipQtCoreQList0600QPair18001800.o sipQtCoreQLineF.o sipQtCoreQLine.o sipQtCoreQLibraryInfo.o sipQtCoreQLibraryLoadHints.o sipQtCoreQLibrary.o sipQtCoreQIODeviceOpenMode.o sipQtCoreQFSFileEngine.o sipQtCoreQFileSystemWatcher.o sipQtCoreQFileInfo.o sipQtCoreQFilePermissions.o sipQtCoreQFile.o sipQtCoreQDirSortFlags.o sipQtCoreQDirFilters.o sipQtCoreQDir.o sipQtCoreQEventLoopProcessEventsFlags.o sipQtCoreQEventLoop.o sipQtCoreQDirIteratorIteratorFlags.o sipQtCoreQDirIterator.o sipQtCoreQDateTime.o sipQtCoreQTime.o sipQtCoreQDate.o sipQtCoreQDataStream.o sipQtCoreQCryptographicHash.o sipQtCoreQDynamicPropertyChangeEvent.o sipQtCoreQChildEvent.o sipQtCoreQTimerEvent.o sipQtCoreQEvent.o sipQtCoreQCoreApplication.o sipQtCoreQChar_0.o sipQtCoreQChar_1.o sipQtCoreQLatin1Char_0.o sipQtCoreQByteArrayMatcher.o sipQtCoreQByteArray.o sipQtCoreQBuffer.o sipQtCoreQIODevice.o sipQtCoreQBitArray.o sipQtCoreQBasicTimer.o sipQtCoreQAbstractListModel.o sipQtCoreQAbstractTableModel.o sipQtCoreQAbstractItemModel.o sipQtCoreQPersistentModelIndex.o sipQtCoreQModelIndex.o sipQtCoreQAbstractFileEngineIterator.o sipQtCoreQAbstractFileEngineHandler.o sipQtCoreQAbstractFileEngineFileFlags.o sipQtCoreQAbstractFileEngine.o sipQtCoreQAbstractEventDispatcher.o sipQtCoreQObject.o sipQtCoreQtTextInteractionFlags.o sipQtCoreQtMatchFlags.o sipQtCoreQtItemFlags.o sipQtCoreQtDropActions.o sipQtCoreQtToolBarAreas.o sipQtCoreQtDockWidgetAreas.o sipQtCoreQtImageConversionFlags.o sipQtCoreQtWindowStates.o sipQtCoreQtWindowFlags.o sipQtCoreQtAlignment.o sipQtCoreQtOrientations.o sipQtCoreQtMouseButtons.o sipQtCoreQtKeyboardModifiers.o sipQtCoreQt.o sipQtCoreQSysInfo.o
HFILES = sipAPIQtCore.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtCore -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtCore -Wl,-rpath,/usr/lib -Wl,--version-script=QtCore.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtCore -L/usr/lib -lqpycore -Wl,-rpath-link=/usr/lib -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtCore; local: *; };' > QtCore.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtCore || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtCore
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsignalmapper.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsignalmapper.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcryptographichash.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcryptographichash.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcoreapplication.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcoreapplication.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstringlist.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstringlist.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcoreevent.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcoreevent.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstringmatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstringmatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfile.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfile.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmetatype.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmetatype.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qvariant.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qvariant.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfilesystemwatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfilesystemwatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmetaobject.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmetaobject.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qthread.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qthread.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtimer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtimer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qresource.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qresource.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsocketnotifier.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsocketnotifier.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qregexp.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qregexp.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qnumeric.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qnumeric.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qhash.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qhash.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstractitemmodel.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstractitemmodel.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtemporaryfile.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtemporaryfile.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtextcodec.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtextcodec.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfsfileengine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfsfileengine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobjectcleanuphandler.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobjectcleanuphandler.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsize.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsize.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlist.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlist.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qchar.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qchar.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstracteventdispatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstracteventdispatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstring.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstring.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qdatastream.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qdatastream.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlibrary.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlibrary.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobject.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobject.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbuffer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbuffer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qxmlstream.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qxmlstream.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbytearraymatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbytearraymatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobjectdefs.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobjectdefs.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qwaitcondition.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qwaitcondition.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbasictimer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbasictimer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbitarray.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbitarray.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbytearray.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbytearray.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlocale.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlocale.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qpair.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qpair.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qeventloop.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qeventloop.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtranslator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtranslator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qvector.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qvector.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtextboundaryfinder.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtextboundaryfinder.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qprocess.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qprocess.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qnamespace.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qnamespace.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qiodevice.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qiodevice.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qpoint.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qpoint.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qdatetime.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qdatetime.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsettings.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsettings.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qrunnable.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qrunnable.sip

=== QtDesigner/Makefile ===
TARGET = QtDesigner.so
OFILES = sipQtDesignercmodule.o sipQtDesignerQList0101QDesignerCustomWidgetInterface.o sipQtDesignerQPyDesignerCustomWidgetCollectionPlugin.o sipQtDesignerQPyDesignerTaskMenuExtension.o sipQtDesignerQPyDesignerContainerExtension.o sipQtDesignerQPyDesignerMemberSheetExtension.o sipQtDesignerQPyDesignerCustomWidgetPlugin.o sipQtDesignerQPyDesignerPropertySheetExtension.o sipQtDesignerQDesignerTaskMenuExtension.o sipQtDesignerQExtensionManager.o sipQtDesignerQDesignerPropertySheetExtension.o sipQtDesignerQDesignerMemberSheetExtension.o sipQtDesignerQFormBuilder.o sipQtDesignerQAbstractExtensionManager.o sipQtDesignerQExtensionFactory.o sipQtDesignerQAbstractExtensionFactory.o sipQtDesignerQDesignerCustomWidgetCollectionInterface.o sipQtDesignerQDesignerCustomWidgetInterface.o sipQtDesignerQDesignerContainerExtension.o sipQtDesignerQDesignerWidgetBoxInterface.o sipQtDesignerQDesignerPropertyEditorInterface.o sipQtDesignerQDesignerObjectInspectorInterface.o sipQtDesignerQDesignerFormWindowManagerInterface.o sipQtDesignerQDesignerFormWindowCursorInterface.o sipQtDesignerQDesignerFormWindowInterfaceFeature.o sipQtDesignerQDesignerFormWindowInterface.o sipQtDesignerQDesignerFormEditorInterface.o sipQtDesignerQAbstractFormBuilder.o sipQtDesignerQDesignerActionEditorInterface.o
HFILES = sipAPIQtDesigner.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtDesigner -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtDesigner -Wl,-rpath,/usr/lib -Wl,--version-script=QtDesigner.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtDesigner -L/usr/lib -lqpydesigner -Wl,-rpath-link=/usr/lib -lQtDesigner -lQtGui -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtDesigner; local: *; };' > QtDesigner.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformbuilder.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformbuilder.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignerpropertysheetextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignerpropertysheetextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractpropertyeditor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractpropertyeditor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/default_extensionfactory.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/default_extensionfactory.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/taskmenu.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/taskmenu.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignercontainerextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignercontainerextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractactioneditor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractactioneditor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qextensionmanager.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qextensionmanager.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformwindowmanager.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformwindowmanager.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/container.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/container.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignercustomwidgetcollectionplugin.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignercustomwidgetcollectionplugin.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/QtDesignermod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/QtDesignermod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractwidgetbox.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractwidgetbox.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractobjectinspector.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractobjectinspector.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformwindow.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformwindow.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignercustomwidgetplugin.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignercustomwidgetplugin.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformwindowcursor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformwindowcursor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/extension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/extension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignertaskmenuextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignertaskmenuextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformeditor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformeditor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignermembersheetextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignermembersheetextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/membersheet.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/membersheet.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/customwidget.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/customwidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/formbuilder.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/formbuilder.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/propertysheet.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/propertysheet.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtDesignercmodule.o
	-rm -f sipQtDesignerQList0101QDesignerCustomWidgetInterface.o
	-rm -f sipQtDesignerQPyDesignerCustomWidgetCollectionPlugin.o
	-rm -f sipQtDesignerQPyDesignerTaskMenuExtension.o
	-rm -f sipQtDesignerQPyDesignerContainerExtension.o
	-rm -f sipQtDesignerQPyDesignerMemberSheetExtension.o
	-rm -f sipQtDesignerQPyDesignerCustomWidgetPlugin.o
	-rm -f sipQtDesignerQPyDesignerPropertySheetExtension.o
	-rm -f sipQtDesignerQDesignerTaskMenuExtension.o
	-rm -f sipQtDesignerQExtensionManager.o
	-rm -f sipQtDesignerQDesignerPropertySheetExtension.o
	-rm -f sipQtDesignerQDesignerMemberSheetExtension.o
	-rm -f sipQtDesignerQFormBuilder.o
	-rm -f sipQtDesignerQAbstractExtensionManager.o
	-rm -f sipQtDesignerQExtensionFactory.o
	-rm -f sipQtDesignerQAbstractExtensionFactory.o
	-rm -f sipQtDesignerQDesignerCustomWidgetCollectionInterface.o
	-rm -f sipQtDesignerQDesignerCustomWidgetInterface.o
	-rm -f sipQtDesignerQDesignerContainerExtension.o
	-rm -f sipQtDesignerQDesignerWidgetBoxInterface.o
	-rm -f sipQtDesignerQDesignerPropertyEditorInterface.o
	-rm -f sipQtDesignerQDesignerObjectInspectorInterface.o
	-rm -f sipQtDesignerQDesignerFormWindowManagerInterface.o
	-rm -f sipQtDesignerQDesignerFormWindowCursorInterface.o
	-rm -f sipQtDesignerQDesignerFormWindowInterfaceFeature.o
	-rm -f sipQtDesignerQDesignerFormWindowInterface.o
	-rm -f sipQtDesignerQDesignerFormEditorInterface.o
	-rm -f sipQtDesignerQAbstractFormBuilder.o
	-rm -f sipQtDesignerQDesignerActionEditorInterface.o
	-rm -f QtDesigner.exp

=== QtGui/Makefile ===
TARGET = QtGui.so
OFILES = sipQtGuicmodule.o sipQtGuiQList0101QUndoStack.o sipQtGuiQList0101QTreeWidgetItem.o sipQtGuiQList0101QTextFrame.o sipQtGuiQList0100QTextBlock.o sipQtGuiQVector0100QTextLayoutFormatRange.o sipQtGuiQList0100QTextLayoutFormatRange.o sipQtGuiQList0100QTextOptionTab.o sipQtGuiQVector0100QTextLength.o sipQtGuiQVector0100QTextFormat.o sipQtGuiQList0101QTableWidgetItem.o sipQtGuiQList0100QTableWidgetSelectionRange.o sipQtGuiQList0101QStandardItem.o sipQtGuiQList0100QTextEditExtraSelection.o sipQtGuiQList0100QPolygonF.o sipQtGuiQVector0100QRect.o sipQtGuiQVector0100QRectF.o sipQtGuiQVector0100QPoint.o sipQtGuiQVector0100QLine.o sipQtGuiQVector0100QPointF.o sipQtGuiQVector0100QLineF.o sipQtGuiQList0101QMdiSubWindow.o sipQtGuiQList0101QDockWidget.o sipQtGuiQList0101QListWidgetItem.o sipQtGuiQList0100QRectF.o sipQtGuiQList0101QGraphicsView.o sipQtGuiQList0600QPair22000100QPointF.o sipQtGuiQList0101QGraphicsItem.o sipQtGuiQList0100QInputMethodEventAttribute.o sipQtGuiQMap0100QDate0100QTextCharFormat.o sipQtGuiQList0101QAbstractButton.o sipQtGuiQList0101QGraphicsWidget.o sipQtGuiQList0100QKeySequence.o sipQtGuiQList0101QAction.o sipQtGuiQList0100QSize.o sipQtGuiQVector0100QAbstractTextDocumentLayoutSelection.o sipQtGuiQList0101QWidget.o sipQtGuiQVector0600QPair22000100QColor.o sipQtGuiQPyTextObject.o sipQtGuiQX11Info.o sipQtGuiDisplay.o sipQtGuiQX11EmbedContainer.o sipQtGuiQX11EmbedWidget.o sipQtGuiQWorkspace.o sipQtGuiQList0100QWizardWizardButton.o sipQtGuiQWizardPage.o sipQtGuiQWizardWizardOptions.o sipQtGuiQWizard.o sipQtGuiQWidgetAction.o sipQtGuiQWidgetRenderFlags.o sipQtGuiQWhatsThis.o sipQtGuiQRegExpValidator.o sipQtGuiQDoubleValidator.o sipQtGuiQIntValidator.o sipQtGuiQValidator.o sipQtGuiQUndoView.o sipQtGuiQUndoStack.o sipQtGuiQUndoCommand.o sipQtGuiQUndoGroup.o sipQtGuiQTreeWidgetItemIteratorIteratorFlags.o sipQtGuiQTreeWidgetItemIterator.o sipQtGuiQTreeWidget.o sipQtGuiQTreeWidgetItem.o sipQtGuiQTreeView.o sipQtGuiQTransform.o sipQtGuiQToolTip.o sipQtGuiQToolButton.o sipQtGuiQToolBox.o sipQtGuiQToolBar.o sipQtGuiQTextTable.o sipQtGuiQTextTableCell.o sipQtGuiQTextOptionTab.o sipQtGuiQTextOptionFlags.o sipQtGuiQTextOption.o sipQtGuiQTextBlockUserData.o sipQtGuiQTextFragment.o sipQtGuiQTextBlockiterator.o sipQtGuiQTextBlock.o sipQtGuiQTextFrameiterator.o sipQtGuiQTextFrame.o sipQtGuiQTextObject.o sipQtGuiQTextList.o sipQtGuiQTextBlockGroup.o sipQtGuiQTextLine.o sipQtGuiQTextLayoutFormatRange.o sipQtGuiQTextLayout.o sipQtGuiQTextInlineObject.o sipQtGuiQTextTableCellFormat.o sipQtGuiQTextTableFormat.o sipQtGuiQTextFrameFormat.o sipQtGuiQTextImageFormat.o sipQtGuiQTextListFormat.o sipQtGuiQTextBlockFormat.o sipQtGuiQTextCharFormat.o sipQtGuiQTextFormatPageBreakFlags.o sipQtGuiQTextFormat.o sipQtGuiQTextLength.o sipQtGuiQTextEditAutoFormatting.o sipQtGuiQTextEditExtraSelection.o sipQtGuiQTextDocumentWriter.o sipQtGuiQTextDocumentFragment.o sipQtGuiQTextDocumentFindFlags.o sipQtGuiQTextDocument.o sipQtGuiQt.o sipQtGuiQTextCursor.o sipQtGuiQTextBrowser.o sipQtGuiQTextEdit.o sipQtGuiQTabWidget.o sipQtGuiQTableWidget.o sipQtGuiQTableWidgetItem.o sipQtGuiQTableWidgetSelectionRange.o sipQtGuiQTableView.o sipQtGuiQTabBar.o sipQtGuiQSyntaxHighlighter.o sipQtGuiQStylePainter.o sipQtGuiQStyleOptionTabV3.o sipQtGuiQStyleOptionTabBarBaseV2.o sipQtGuiQStyleOptionFrameV3.o sipQtGuiQStyleOptionViewItemV4.o sipQtGuiQStyleHintReturnVariant.o sipQtGuiQStyleOptionToolBoxV2.o sipQtGuiQStyleOptionViewItemV3.o sipQtGuiQStyleOptionDockWidgetV2.o sipQtGuiQStyleOptionGraphicsItem.o sipQtGuiQStyleOptionViewItemV2ViewItemFeatures.o sipQtGuiQStyleOptionViewItemV2.o sipQtGuiQStyleOptionGroupBox.o sipQtGuiQStyleOptionToolBarToolBarFeatures.o sipQtGuiQStyleOptionToolBar.o sipQtGuiQStyleHintReturnMask.o sipQtGuiQStyleHintReturn.o sipQtGuiQStyleOptionTitleBar.o sipQtGuiQStyleOptionComboBox.o sipQtGuiQStyleOptionToolButtonToolButtonFeatures.o sipQtGuiQStyleOptionToolButton.o sipQtGuiQStyleOptionSpinBox.o sipQtGuiQStyleOptionSlider.o sipQtGuiQStyleOptionComplex.o sipQtGuiQStyleOptionRubberBand.o sipQtGuiQStyleOptionToolBox.o sipQtGuiQStyleOptionViewItem.o sipQtGuiQStyleOptionDockWidget.o sipQtGuiQStyleOptionMenuItem.o sipQtGuiQStyleOptionProgressBarV2.o sipQtGuiQStyleOptionProgressBar.o sipQtGuiQStyleOptionTabV2.o sipQtGuiQStyleOptionTabCornerWidgets.o sipQtGuiQStyleOptionTab.o sipQtGuiQStyleOptionButtonButtonFeatures.o sipQtGuiQStyleOptionButton.o sipQtGuiQStyleOptionHeader.o sipQtGuiQStyleOptionTabBarBase.o sipQtGuiQStyleOptionTabWidgetFrame.o sipQtGuiQStyleOptionFrameV2FrameFeatures.o sipQtGuiQStyleOptionFrameV2.o sipQtGuiQStyleOptionFrame.o sipQtGuiQStyleOptionFocusRect.o sipQtGuiQStyleOption.o sipQtGuiQStyleFactory.o sipQtGuiQStyledItemDelegate.o sipQtGuiQStyleSubControls.o sipQtGuiQStyleState.o sipQtGuiQStyle.o sipQtGuiQStringListModel.o sipQtGuiQStatusBar.o sipQtGuiQStandardItem.o sipQtGuiQStandardItemModel.o sipQtGuiQStackedWidget.o sipQtGuiQStackedLayout.o sipQtGuiQSplitterHandle.o sipQtGuiQSplitter.o sipQtGuiQSplashScreen.o sipQtGuiQDoubleSpinBox.o sipQtGuiQSpinBox.o sipQtGuiQSound.o sipQtGuiQSortFilterProxyModel.o sipQtGuiQSlider.o sipQtGuiQSizePolicyControlTypes.o sipQtGuiQSizePolicy.o sipQtGuiQShortcut.o sipQtGuiQSessionManager.o sipQtGuiQScrollBar.o sipQtGuiQScrollArea.o sipQtGuiQRubberBand.o sipQtGuiQRegion.o sipQtGuiQRadioButton.o sipQtGuiQProxyModel.o sipQtGuiQProgressDialog.o sipQtGuiQProgressBar.o sipQtGuiQPolygonF.o sipQtGuiQPolygon.o sipQtGuiQPlainTextDocumentLayout.o sipQtGuiQPlainTextEdit.o sipQtGuiQPixmapCache.o sipQtGuiQPictureIO.o sipQtGuiQPicture.o sipQtGuiQPen.o sipQtGuiQPalette.o sipQtGuiQPainterPathStroker.o sipQtGuiQPainterPathElement.o sipQtGuiQPainterPath.o sipQtGuiQPaintEngineState.o sipQtGuiQPaintEngineDirtyFlags.o sipQtGuiQPaintEnginePaintEngineFeatures.o sipQtGuiQPaintEngine.o sipQtGuiQTextItemRenderFlags.o sipQtGuiQTextItem.o sipQtGuiQPainterRenderHints.o sipQtGuiQPainter.o sipQtGuiQMovie.o sipQtGuiQMessageBoxStandardButtons.o sipQtGuiQMessageBox.o sipQtGuiQMenuBar.o sipQtGuiQMenu.o sipQtGuiQMdiSubWindowSubWindowOptions.o sipQtGuiQMdiSubWindow.o sipQtGuiQMdiAreaAreaOptions.o sipQtGuiQMdiArea.o sipQtGuiQMatrix.o sipQtGuiQMainWindowDockOptions.o sipQtGuiQMainWindow.o sipQtGuiQListWidget.o sipQtGuiQListWidgetItem.o sipQtGuiQListView.o sipQtGuiQLineEdit.o sipQtGuiQLCDNumber.o sipQtGuiQWidgetItem.o sipQtGuiQSpacerItem.o sipQtGuiQLayoutItem.o sipQtGuiQLabel.o sipQtGuiQKeySequence.o sipQtGuiQItemDelegate.o sipQtGuiQInputDialogInputDialogOptions.o sipQtGuiQInputDialog.o sipQtGuiQInputContextFactory.o sipQtGuiQInputContext.o sipQtGuiQImageWriter.o sipQtGuiQImageReader.o sipQtGuiQImageIOHandler.o sipQtGuiQImage.o sipQtGuiQPaintDevice.o sipQtGuiQItemSelection.o sipQtGuiQItemSelectionModelSelectionFlags.o sipQtGuiQItemSelectionModel.o sipQtGuiQItemSelectionRange.o sipQtGuiQItemEditorFactory.o sipQtGuiQItemEditorCreatorBase.o sipQtGuiQIconEngineV2AvailableSizesArgument.o sipQtGuiQIconEngineV2.o sipQtGuiQIconEngine.o sipQtGuiQIcon.o sipQtGuiQHeaderView.o sipQtGuiQGroupBox.o sipQtGuiQGridLayout.o sipQtGuiQGraphicsViewOptimizationFlags.o sipQtGuiQGraphicsViewCacheMode.o sipQtGuiQGraphicsView.o sipQtGuiQGraphicsSceneMoveEvent.o sipQtGuiQGraphicsSceneResizeEvent.o sipQtGuiQGraphicsSceneDragDropEvent.o sipQtGuiQGraphicsSceneHelpEvent.o sipQtGuiQGraphicsSceneHoverEvent.o sipQtGuiQGraphicsSceneContextMenuEvent.o sipQtGuiQGraphicsSceneWheelEvent.o sipQtGuiQGraphicsSceneMouseEvent.o sipQtGuiQGraphicsSceneEvent.o sipQtGuiQGraphicsSceneSceneLayers.o sipQtGuiQGraphicsScene.o sipQtGuiQGraphicsProxyWidget.o sipQtGuiQGraphicsWidget.o sipQtGuiQGraphicsLinearLayout.o sipQtGuiQGraphicsLayoutItem.o sipQtGuiQGraphicsItemAnimation.o sipQtGuiQGraphicsItemGroup.o sipQtGuiQGraphicsSimpleTextItem.o sipQtGuiQGraphicsTextItem.o sipQtGuiQGraphicsPixmapItem.o sipQtGuiQGraphicsLineItem.o sipQtGuiQGraphicsPolygonItem.o sipQtGuiQGraphicsEllipseItem.o sipQtGuiQGraphicsRectItem.o sipQtGuiQGraphicsPathItem.o sipQtGuiQAbstractGraphicsShapeItem.o sipQtGuiQGraphicsItemGraphicsItemFlags.o sipQtGuiQGraphicsItem.o sipQtGuiQGraphicsGridLayout.o sipQtGuiQGraphicsLayout.o sipQtGuiQFormLayout.o sipQtGuiQFontMetricsF.o sipQtGuiQFontMetrics.o sipQtGuiQFontInfo.o sipQtGuiQFontDialogFontDialogOptions.o sipQtGuiQFontDialog.o sipQtGuiQList0100QFontDatabaseWritingSystem.o sipQtGuiQFontDatabase.o sipQtGuiQFontComboBoxFontFilters.o sipQtGuiQFontComboBox.o sipQtGuiQFont.o sipQtGuiQFocusFrame.o sipQtGuiQFileSystemModel.o sipQtGuiQFileIconProvider.o sipQtGuiQFileDialogOptions.o sipQtGuiQFileDialog.o sipQtGuiQWindowStateChangeEvent.o sipQtGuiQShortcutEvent.o sipQtGuiQFileOpenEvent.o sipQtGuiQActionEvent.o sipQtGuiQWhatsThisClickedEvent.o sipQtGuiQStatusTipEvent.o sipQtGuiQHelpEvent.o sipQtGuiQDragLeaveEvent.o sipQtGuiQDragEnterEvent.o sipQtGuiQDragMoveEvent.o sipQtGuiQDropEvent.o sipQtGuiQMimeSource.o sipQtGuiQInputMethodEventAttribute.o sipQtGuiQInputMethodEvent.o sipQtGuiQContextMenuEvent.o sipQtGuiQHideEvent.o sipQtGuiQShowEvent.o sipQtGuiQIconDragEvent.o sipQtGuiQCloseEvent.o sipQtGuiQResizeEvent.o sipQtGuiQMoveEvent.o sipQtGuiQPaintEvent.o sipQtGuiQFocusEvent.o sipQtGuiQKeyEvent.o sipQtGuiQTabletEvent.o sipQtGuiQWheelEvent.o sipQtGuiQHoverEvent.o sipQtGuiQMouseEvent.o sipQtGuiQInputEvent.o sipQtGuiQErrorMessage.o sipQtGuiQDrag.o sipQtGuiQDockWidgetDockWidgetFeatures.o sipQtGuiQDockWidget.o sipQtGuiQDirModel.o sipQtGuiQDialogButtonBoxStandardButtons.o sipQtGuiQDialogButtonBox.o sipQtGuiQDial.o sipQtGuiQDesktopWidget.o sipQtGuiQDesktopServices.o sipQtGuiQDateEdit.o sipQtGuiQTimeEdit.o sipQtGuiQDateTimeEditSections.o sipQtGuiQDateTimeEdit.o sipQtGuiQDataWidgetMapper.o sipQtGuiQCursor.o sipQtGuiQCompleter.o sipQtGuiQComboBox.o sipQtGuiQColorDialogColorDialogOptions.o sipQtGuiQColorDialog.o sipQtGuiQDialog.o sipQtGuiQColumnView.o sipQtGuiQClipboard.o sipQtGuiQCheckBox.o sipQtGuiQCalendarWidget.o sipQtGuiQButtonGroup.o sipQtGuiQConicalGradient.o sipQtGuiQRadialGradient.o sipQtGuiQLinearGradient.o sipQtGuiQGradient.o sipQtGuiQBrush.o sipQtGuiQCommandLinkButton.o sipQtGuiQPushButton.o sipQtGuiQColor.o sipQtGuiQVBoxLayout.o sipQtGuiQHBoxLayout.o sipQtGuiQBoxLayout.o sipQtGuiQLayout.o sipQtGuiQBitmap.o sipQtGuiQPixmap.o sipQtGuiQApplication.o sipQtGuiXEvent.o sipQtGuiQActionGroup.o sipQtGuiQAction.o sipQtGuiQAbstractSlider.o sipQtGuiQTextObjectInterface.o sipQtGuiQAbstractTextDocumentLayoutPaintContext.o sipQtGuiQAbstractTextDocumentLayoutSelection.o sipQtGuiQAbstractTextDocumentLayout.o sipQtGuiQAbstractSpinBoxStepEnabled.o sipQtGuiQAbstractSpinBox.o sipQtGuiQFrame.o sipQtGuiQAbstractProxyModel.o sipQtGuiQAbstractItemViewEditTriggers.o sipQtGuiQAbstractItemView.o sipQtGuiQAbstractScrollArea.o sipQtGuiQAbstractItemDelegate.o sipQtGuiQAbstractButton.o sipQtGuiQWidget.o
HFILES = sipAPIQtGui.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtGui -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtGui -Wl,-rpath,/usr/lib -Wl,--version-script=QtGui.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtGui -L/usr/lib -lqpygui -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtGui; local: *; };' > QtGui.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)

=== QtHelp/Makefile ===
TARGET = QtHelp.so
OFILES = sipQtHelpcmodule.o sipQtHelpQList0100QHelpSearchQuery.o sipQtHelpQMap0100QString0100QUrl.o sipQtHelpQList0100QStringList.o sipQtHelpQHelpSearchResultWidget.o sipQtHelpQHelpSearchQueryWidget.o sipQtHelpQHelpSearchEngine.o sipQtHelpQHelpSearchQuery.o sipQtHelpQHelpIndexWidget.o sipQtHelpQHelpIndexModel.o sipQtHelpQHelpEngine.o sipQtHelpQHelpEngineCore.o sipQtHelpQHelpContentWidget.o sipQtHelpQHelpContentModel.o sipQtHelpQHelpContentItem.o
HFILES = sipAPIQtHelp.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtHelp -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtHelp.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtHelp -lQtGui -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtHelp; local: *; };' > QtHelp.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtHelp || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtHelp
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/qhelpindexwidget.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/qhelpindexwidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/qhelpsearchquerywidget.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/qhelpsearchquerywidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/qhelpenginecore.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/qhelpenginecore.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/QtHelpmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/QtHelpmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/qhelpsearchengine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/qhelpsearchengine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/qhelpsearchresultwidget.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/qhelpsearchresultwidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/qhelpengine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/qhelpengine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtHelp/qhelpcontentwidget.sip $(DESTDIR)/usr/share/sip/PyQt4/QtHelp/qhelpcontentwidget.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtHelpcmodule.o
	-rm -f sipQtHelpQList0100QHelpSearchQuery.o
	-rm -f sipQtHelpQMap0100QString0100QUrl.o
	-rm -f sipQtHelpQList0100QStringList.o
	-rm -f sipQtHelpQHelpSearchResultWidget.o
	-rm -f sipQtHelpQHelpSearchQueryWidget.o
	-rm -f sipQtHelpQHelpSearchEngine.o
	-rm -f sipQtHelpQHelpSearchQuery.o
	-rm -f sipQtHelpQHelpIndexWidget.o
	-rm -f sipQtHelpQHelpIndexModel.o
	-rm -f sipQtHelpQHelpEngine.o
	-rm -f sipQtHelpQHelpEngineCore.o
	-rm -f sipQtHelpQHelpContentWidget.o
	-rm -f sipQtHelpQHelpContentModel.o
	-rm -f sipQtHelpQHelpContentItem.o
	-rm -f QtHelp.exp

=== QtNetwork/Makefile ===
TARGET = QtNetwork.so
OFILES = sipQtNetworkcmodule.o sipQtNetworkQList0100QSslCipher.o sipQtNetworkQList0100QSslCertificate.o sipQtNetworkQList0100QNetworkProxy.o sipQtNetworkQList0100QNetworkInterface.o sipQtNetworkQList0100QNetworkAddressEntry.o sipQtNetworkQList0100QNetworkCookie.o sipQtNetworkQList0100QSslError.o sipQtNetworkQList0100QHostAddress.o sipQtNetworkQPair0100QHostAddress1800.o sipQtNetworkQUrlInfo.o sipQtNetworkQUdpSocketBindMode.o sipQtNetworkQUdpSocket.o sipQtNetworkQTcpServer.o sipQtNetworkQSslSocket.o sipQtNetworkQTcpSocket.o sipQtNetworkQSslKey.o sipQtNetworkQSslError.o sipQtNetworkQSslCipher.o sipQtNetworkQSslConfiguration.o sipQtNetworkQMultiMap0100QSslAlternateNameEntryType0100QString.o sipQtNetworkQSslCertificate.o sipQtNetworkQSsl.o sipQtNetworkQNetworkRequest.o sipQtNetworkQNetworkReply.o sipQtNetworkQNetworkProxyFactory.o sipQtNetworkQNetworkProxyQuery.o sipQtNetworkQNetworkProxyCapabilities.o sipQtNetworkQNetworkProxy.o sipQtNetworkQNetworkInterfaceInterfaceFlags.o sipQtNetworkQNetworkInterface.o sipQtNetworkQNetworkAddressEntry.o sipQtNetworkQNetworkDiskCache.o sipQtNetworkQNetworkCookieJar.o sipQtNetworkQNetworkCookie.o sipQtNetworkQNetworkAccessManager.o sipQtNetworkQLocalSocket.o sipQtNetworkquintptr.o sipQtNetworkQLocalServer.o sipQtNetworkQHttp.o sipQtNetworkQHttpRequestHeader.o sipQtNetworkQHttpResponseHeader.o sipQtNetworkQHttpHeader.o sipQtNetworkQHostInfo.o sipQtNetworkQHostAddress.o sipQtNetworkQFtp.o sipQtNetworkQAuthenticator.o sipQtNetworkQAbstractSocket.o sipQtNetworkQAbstractNetworkCache.o sipQtNetworkQNetworkCacheMetaData.o sipQtNetworkQHash0100QNetworkRequestAttribute0100QVariant.o
HFILES = sipAPIQtNetwork.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtNetwork.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtNetwork -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtNetwork; local: *; };' > QtNetwork.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/QtNetworkmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/QtNetworkmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkaccessmanager.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkaccessmanager.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qtcpsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qtcpsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslerror.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslerror.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qabstractnetworkcache.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qabstractnetworkcache.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qlocalsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qlocalsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qudpsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qudpsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qhttp.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qhttp.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qhostinfo.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qhostinfo.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qftp.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qftp.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslcipher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslcipher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qabstractsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qabstractsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkproxy.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkproxy.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkrequest.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkrequest.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslconfiguration.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslconfiguration.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkcookie.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkcookie.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslcertificate.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslcertificate.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslkey.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslkey.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qauthenticator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qauthenticator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qssl.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qssl.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkreply.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkreply.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkinterface.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkinterface.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qhostaddress.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qhostaddress.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkdiskcache.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkdiskcache.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qtcpserver.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qtcpserver.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qlocalserver.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qlocalserver.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qurlinfo.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qurlinfo.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtNetworkcmodule.o
	-rm -f sipQtNetworkQList0100QSslCipher.o
	-rm -f sipQtNetworkQList0100QSslCertificate.o
	-rm -f sipQtNetworkQList0100QNetworkProxy.o
	-rm -f sipQtNetworkQList0100QNetworkInterface.o
	-rm -f sipQtNetworkQList0100QNetworkAddressEntry.o
	-rm -f sipQtNetworkQList0100QNetworkCookie.o
	-rm -f sipQtNetworkQList0100QSslError.o
	-rm -f sipQtNetworkQList0100QHostAddress.o
	-rm -f sipQtNetworkQPair0100QHostAddress1800.o
	-rm -f sipQtNetworkQUrlInfo.o
	-rm -f sipQtNetworkQUdpSocketBindMode.o
	-rm -f sipQtNetworkQUdpSocket.o
	-rm -f sipQtNetworkQTcpServer.o
	-rm -f sipQtNetworkQSslSocket.o
	-rm -f sipQtNetworkQTcpSocket.o
	-rm -f sipQtNetworkQSslKey.o
	-rm -f sipQtNetworkQSslError.o
	-rm -f sipQtNetworkQSslCipher.o
	-rm -f sipQtNetworkQSslConfiguration.o
	-rm -f sipQtNetworkQMultiMap0100QSslAlternateNameEntryType0100QString.o
	-rm -f sipQtNetworkQSslCertificate.o
	-rm -f sipQtNetworkQSsl.o
	-rm -f sipQtNetworkQNetworkRequest.o
	-rm -f sipQtNetworkQNetworkReply.o
	-rm -f sipQtNetworkQNetworkProxyFactory.o
	-rm -f sipQtNetworkQNetworkProxyQuery.o
	-rm -f sipQtNetworkQNetworkProxyCapabilities.o
	-rm -f sipQtNetworkQNetworkProxy.o
	-rm -f sipQtNetworkQNetworkInterfaceInterfaceFlags.o
	-rm -f sipQtNetworkQNetworkInterface.o
	-rm -f sipQtNetworkQNetworkAddressEntry.o
	-rm -f sipQtNetworkQNetworkDiskCache.o
	-rm -f sipQtNetworkQNetworkCookieJar.o
	-rm -f sipQtNetworkQNetworkCookie.o
	-rm -f sipQtNetworkQNetworkAccessManager.o
	-rm -f sipQtNetworkQLocalSocket.o
	-rm -f sipQtNetworkquintptr.o
	-rm -f sipQtNetworkQLocalServer.o
	-rm -f sipQtNetworkQHttp.o
	-rm -f sipQtNetworkQHttpRequestHeader.o
	-rm -f sipQtNetworkQHttpResponseHeader.o
	-rm -f sipQtNetworkQHttpHeader.o
	-rm -f sipQtNetworkQHostInfo.o
	-rm -f sipQtNetworkQHostAddress.o
	-rm -f sipQtNetworkQFtp.o
	-rm -f sipQtNetworkQAuthenticator.o
	-rm -f sipQtNetworkQAbstractSocket.o
	-rm -f sipQtNetworkQAbstractNetworkCache.o
	-rm -f sipQtNetworkQNetworkCacheMetaData.o
	-rm -f sipQtNetworkQHash0100QNetworkRequestAttribute0100QVariant.o
	-rm -f QtNetwork.exp

=== QtScript/Makefile ===
TARGET = QtScript.so
OFILES = sipQtScriptcmodule.o sipQtScriptQList0100QScriptValue.o sipQtScriptQList0100QScriptContextInfo.o sipQtScriptQScriptValueIterator.o sipQtScriptQScriptValuePropertyFlags.o sipQtScriptQScriptValueResolveFlags.o sipQtScriptQScriptValue.o sipQtScriptQScriptString.o sipQtScriptQScriptEngineAgent.o sipQtScriptQScriptSyntaxCheckResult.o sipQtScriptQScriptEngineQObjectWrapOptions.o sipQtScriptQScriptEngine.o sipQtScriptQScriptContextInfo.o sipQtScriptQScriptContext.o sipQtScriptQScriptClassPropertyIterator.o sipQtScriptQScriptClassQueryFlags.o sipQtScriptQScriptClass.o
HFILES = sipAPIQtScript.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_SCRIPT_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtScript.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtScript -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtScript; local: *; };' > QtScript.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtScript || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtScript
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptclasspropertyiterator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptclasspropertyiterator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptcontextinfo.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptcontextinfo.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptstring.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptstring.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/QtScriptmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/QtScriptmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptengine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptengine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptvalueiterator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptvalueiterator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptcontext.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptcontext.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptvalue.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptvalue.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptengineagent.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptengineagent.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptclass.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptclass.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtScriptcmodule.o
	-rm -f sipQtScriptQList0100QScriptValue.o
	-rm -f sipQtScriptQList0100QScriptContextInfo.o
	-rm -f sipQtScriptQScriptValueIterator.o
	-rm -f sipQtScriptQScriptValuePropertyFlags.o
	-rm -f sipQtScriptQScriptValueResolveFlags.o
	-rm -f sipQtScriptQScriptValue.o
	-rm -f sipQtScriptQScriptString.o
	-rm -f sipQtScriptQScriptEngineAgent.o
	-rm -f sipQtScriptQScriptSyntaxCheckResult.o
	-rm -f sipQtScriptQScriptEngineQObjectWrapOptions.o
	-rm -f sipQtScriptQScriptEngine.o
	-rm -f sipQtScriptQScriptContextInfo.o
	-rm -f sipQtScriptQScriptContext.o
	-rm -f sipQtScriptQScriptClassPropertyIterator.o
	-rm -f sipQtScriptQScriptClassQueryFlags.o
	-rm -f sipQtScriptQScriptClass.o
	-rm -f QtScript.exp

=== QtScriptTools/Makefile ===
TARGET = QtScriptTools.so
OFILES = sipQtScriptToolscmodule.o sipQtScriptToolsQScriptEngineDebugger.o
HFILES = sipAPIQtScriptTools.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_SCRIPTTOOLS_LIB -DQT_GUI_LIB -DQT_SCRIPT_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtScriptTools.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtScriptTools -lQtGui -lQtScript -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtScriptTools; local: *; };' > QtScriptTools.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScriptTools/qscriptenginedebugger.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools/qscriptenginedebugger.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScriptTools/QtScriptToolsmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools/QtScriptToolsmod.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtScriptToolscmodule.o
	-rm -f sipQtScriptToolsQScriptEngineDebugger.o
	-rm -f QtScriptTools.exp

=== QtSql/Makefile ===
TARGET = QtSql.so
OFILES = sipQtSqlcmodule.o sipQtSqlQVector0100QVariant.o sipQtSqlQSqlResult.o sipQtSqlQSqlRelationalTableModel.o sipQtSqlQSqlTableModel.o sipQtSqlQSqlRelation.o sipQtSqlQSqlRelationalDelegate.o sipQtSqlQSqlQueryModel.o sipQtSqlQSqlQuery.o sipQtSqlQSqlIndex.o sipQtSqlQSqlRecord.o sipQtSqlQSqlField.o sipQtSqlQSqlError.o sipQtSqlQSqlDriver.o sipQtSqlQSqlDatabase.o sipQtSqlQSqlDriverCreatorBase.o sipQtSqlQSqlParamType.o sipQtSqlQSql.o
HFILES = sipAPIQtSql.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtSql.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtSql -lQtGui -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtSql; local: *; };' > QtSql.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtSql || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtSql
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlerror.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlerror.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlfield.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlfield.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqldriver.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqldriver.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlrecord.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlrecord.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlindex.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlindex.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqldatabase.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqldatabase.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlquerymodel.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlquerymodel.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlrelationaltablemodel.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlrelationaltablemodel.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqltablemodel.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqltablemodel.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlquery.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlquery.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlresult.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlresult.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsqlrelationaldelegate.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsqlrelationaldelegate.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/QtSqlmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/QtSqlmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSql/qsql.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSql/qsql.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtSqlcmodule.o
	-rm -f sipQtSqlQVector0100QVariant.o
	-rm -f sipQtSqlQSqlResult.o
	-rm -f sipQtSqlQSqlRelationalTableModel.o
	-rm -f sipQtSqlQSqlTableModel.o
	-rm -f sipQtSqlQSqlRelation.o
	-rm -f sipQtSqlQSqlRelationalDelegate.o
	-rm -f sipQtSqlQSqlQueryModel.o
	-rm -f sipQtSqlQSqlQuery.o
	-rm -f sipQtSqlQSqlIndex.o
	-rm -f sipQtSqlQSqlRecord.o
	-rm -f sipQtSqlQSqlField.o
	-rm -f sipQtSqlQSqlError.o
	-rm -f sipQtSqlQSqlDriver.o
	-rm -f sipQtSqlQSqlDatabase.o
	-rm -f sipQtSqlQSqlDriverCreatorBase.o
	-rm -f sipQtSqlQSqlParamType.o
	-rm -f sipQtSqlQSql.o
	-rm -f QtSql.exp

=== QtSvg/Makefile ===
TARGET = QtSvg.so
OFILES = sipQtSvgcmodule.o sipQtSvgQSvgWidget.o sipQtSvgQSvgRenderer.o sipQtSvgQSvgGenerator.o sipQtSvgQGraphicsSvgItem.o
HFILES = sipAPIQtSvg.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtSvg.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtSvg -lQtGui -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtSvg; local: *; };' > QtSvg.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtSvg || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtSvg
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSvg/qsvgwidget.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSvg/qsvgwidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSvg/qsvggenerator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSvg/qsvggenerator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSvg/qsvgrenderer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSvg/qsvgrenderer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSvg/QtSvgmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSvg/QtSvgmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtSvg/qgraphicssvgitem.sip $(DESTDIR)/usr/share/sip/PyQt4/QtSvg/qgraphicssvgitem.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtSvgcmodule.o
	-rm -f sipQtSvgQSvgWidget.o
	-rm -f sipQtSvgQSvgRenderer.o
	-rm -f sipQtSvgQSvgGenerator.o
	-rm -f sipQtSvgQGraphicsSvgItem.o
	-rm -f QtSvg.exp

=== QtTest/Makefile ===
TARGET = QtTest.so
OFILES = sipQtTestcmodule.o sipQtTestQTest.o
HFILES = sipAPIQtTest.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_TEST_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtTest.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtTest -lQtGui -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtTest; local: *; };' > QtTest.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtTest || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtTest
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestsystem.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestsystem.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/QtTestmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/QtTestmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestmouse.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestmouse.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestcase.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestcase.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestkeyboard.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestkeyboard.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtTestcmodule.o
	-rm -f sipQtTestQTest.o
	-rm -f QtTest.exp

=== debian/changelog ===
python-qt4 (4.6.2-maemo20091123.0) unstable; urgency=low

  * Update to upstream 4.6.2

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 25 Nov 2009 01:01:05 +0100

python-qt4 (4.6.1-maemo0) unstable; urgency=low

  * Fremantle version

 -- Attila Csipa <maemo@csipa.in.rs>  Tue, 03 Nov 2009 10:19:50 +0100

=== debian/control ===
Source: python-qt4
Priority: extra
Maintainer: Renato Filho <renato.filho@openbossa.org>
Build-Depends: debhelper (>= 5), dpatch, libqt4-dev (>= 4.4.1), sip4 (>= 4.7.7),  python2.5-sip4 (>= 4.7.7),  python2.5-sip4-dev (>= 4.7.7),  python2.5-dev (>= 2.5.1), python-dbus, libdbus-1-dev (>= 1.0.2), libxext-dev, zlib1g-dev, libexpat1-dev
Standards-Version: 3.7.2
Section: libs

Package: python2.5-qt4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4-assistant (= ${binary:Version}), python2.5-qt4-core (= ${binary:Version}), python2.5-qt4-dbus (= ${binary:Version}), python2.5-qt4-designer (= ${binary:Version}), python2.5-qt4-gui (= ${binary:Version}), python2.5-qt4-help (= ${binary:Version}), python2.5-qt4-network (= ${binary:Version}), python2.5-qt4-phonon (= ${binary:Version}), python2.5-qt4-sql (= ${binary:Version}), python2.5-qt4-svg (= ${binary:Version}), python2.5-qt4-script (= ${binary:Version}), python2.5-qt4-test (= ${binary:Version}), python2.5-qt4-webkit (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for Qt4
 This package contains the python extensions and modules.

Package: python2.5-qt4-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-sip4 (>= 4.7.7)
Replaces: python-qt4
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4
 and python-qt4-dev.

Package: python2.5-qt4-dev
Section: libdevel
Architecture: any
Depends: python2.5-sip4-dev (>= 4.7.7), python2.5-qt4-common
Replaces: python-qt4-dev
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python.
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python2.5-qt4-dev-tools
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4
Replaces: python-qt4
Description: Python Qt4 development tools.
 This package contains the python extensions and modules.

Package: python2.5-qt4-assistant
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-assistant (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-core
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-core (>= 4.4.1), python2.5-qt4-common (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-dbus
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python-dbus (>= 0.80.0)
Description: Python bindings for Qt dbus mainloop.
 This package contains the python extensions and modules.

Package: python2.5-qt4-designer
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-designer (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-gui
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-gui (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-help
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-help (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-network
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-network (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-phonon
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-phonon (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-sql
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-sql (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.

Package: python2.5-qt4-svg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-svg (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-script
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-script (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-test
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-test (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-webkit
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-webkit (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-xml
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-xml (>= 4.4.1), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PYVER=2.5
PYTHON=python$(PYVER)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

include /usr/share/dpatch/dpatch.make

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	# Add here commands to configure the package.
	# Remove the # below to build only QtGui and QtCore
	python2.5 configure.py --confirm-license # -e QtGui -e QtCore
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --source=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
